#ifndef _ADC
#define _ADC

#include "derivative.h" /* include peripheral declarations */
#include "common.h"

void ADC_Init8b(uint16 activeChannelsMask);
void ADC0_Init12b(void);
void ADC1_Init12b(void);
void ADC0_Init16b(void);
void ADC1_Init16b(void);


uint8 ADC_Read8b(uint8 channelNumber);
uint16 ADC0_Read12b(uint8 channelNumber);
uint16 ADC1_Read12b(uint8 channelNumber);
uint16 ADC_Read16b(uint8 channelNumber);
uint16 ADC1_Read16b(uint8 channelNumber);

uint16 ADC_Read12b (uint8 channelNumber); //dummy read
uint16 ADC_Init12b (uint16 activeChannelMask); //dummy init

#endif //_ADC
